/*
网站CMC、DCC后台公用js方法。
修改日志：shijian201407：修改checkbox服务器控件的识别方法，使之兼容.netFK2.0和4.0的ClientID各种生成模式
*/

//列表的全选和全不选（ctlName：gridview或datagrid等控件的ID， isChecked：布尔值）
function GridSelectAll(ctlName, isChecked) {
    var ctl = document.getElementById(ctlName);
    var checkbox = ctl.getElementsByTagName('input');   //获取该控件内标签为input的控件
    /*所有Button、TextBox、CheckBox、RadioButton类型的服务器端控件在解释成Html控件后，都为<input type=''./>，通过type区分它们的类型。*/
    for (var i = 0; i < checkbox.length; i++) {
        if (checkbox[i].type == 'checkbox') {
            checkbox[i].checked = isChecked;
        }
    }
}

//列表批量操作前检查选中行并读取id,title字符串 （ isConfirm：true|false,是否提示）
function GridSelectCheck(ctlName, isConfirm)
{
    var ctl = document.getElementById(ctlName);
    var j = 0;
    var idstr = "";
    var titlestr = "";
    if (ctl != null) {
        for (var i = 1; i < ctl.rows.length; i++) {
            if (ctl.rows[i].cells[0].children[0].checked == true) {
                //alert(ctl.rows[i].cells[0].innerHTML);
                idstr += ctl.rows[i].cells[1].innerHTML + ",";//半角逗号，要配合程序的Trim(',')
                var txt = ctl.rows[i].cells[2].innerText || ctl.rows[i].cells[2].txtContent;
                titlestr += txt + "，";//标题的逗号用全角
                j += 1;
            }
        }
        document.getElementById("hfidstr").value = idstr;
        document.getElementById("hftitlestr").value = titlestr;
    }
    if (j > 0) {
        if(isConfirm)
        {
            return confirm("您确认要对这("+ j +")条选中的信息做本操作吗？") ; 
        }
        else
        {
            return true;
        }
    } else {
        alert("注意：请先勾选要操作的记录！");
        return false;
    }
}

////用于选中行变色,并把当前行的ID（单一主键）写在hfId隐藏字段中   -----shijian
//var prevselitem = null;
//function selectedcolor(row) {
//    if (prevselitem != null) {
//        prevselitem.style.backgroundColor = '#ffffff';
//    }
//    row.style.backgroundColor = 'PeachPuff';
//    prevselitem = row;
//    document.getElementById("hfId").value = row.children[1].innerHTML;
//}

//设置复选框自动选中和选中行背景
$(function () {
    //首行复选框选中样式设置
    $('.text-center input').click(function () {
        $(this).parents('tr').toggleClass('active');
    })
    //数据区复选框选中样式设置
    $('.title .text-center input').click(function () {

        if ($('.table tr:first').hasClass('active')) {
            $('.table tr').addClass('active');
        } else {
            $('.table tr').removeClass('active');
        }
    })
    //数据区下拉框变化时
    $('.table select').change(function () {
        //背景选中
        if ($(this).parents('tr').hasClass('active')) {

        } else {
            $(this).parents('tr').toggleClass('active');
        }
        //复选框自动选中
        var checkbox = $(this).parents("tr").find("input");
        for (var i = 0; i < checkbox.length; i++) {
            if (checkbox[i].type == 'checkbox') {
                checkbox[i].checked = true;
            }
        }
    })

    //排序号变化时
    $('.priority').change(function () {
        //背景选中
        if ($(this).parents('tr').hasClass('active')) {

        } else {
            $(this).parents('tr').toggleClass('active');
        }
        //复选框选中
        var checkbox = $(this).parents("tr").find("input");
        for (var i = 0; i < checkbox.length; i++) {
            if (checkbox[i].type == 'checkbox') {
                checkbox[i].checked = true;
            }
        }
    })

})